SECMODEL_OVERLAY(9) | Kernel Developer's Manual | SECMODEL_OVERLAY(9)

# NAME

`secmodel_overlay` —
sample overlay security model implementation

# SYNOPSIS

`#include <secmodel/overlay/overlay.h>`

# DESCRIPTION

`secmodel_overlay` is a sample implementation for an overlay security model. It can be thought of as a “filter” for the underlying model it overlays, by default it is secmodel_bsd44(9), where developers or administrators can implement custom policies using least intrusive code changes.

# CODE REFERENCES

sys/secmodel/overlay/secmodel_overlay.c

# SEE ALSO

kauth(9), secmodel(9), secmodel_bsd44(9)

# AUTHORS

Elad Efrat <elad@NetBSD.org>

September 15, 2006 | NetBSD 9.2